Bug 196523 - Persistence broken due to unsymmetrical read/write
Persistence broken due to unsymmetrical read/write
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.0
PC Linux
: P1 (vote)
: 7.0
Assigned To: Alexander Simon
issues@cnd
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-09 21:25 UTC by Alexander Simon
Modified: 2011-03-18 12:36 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-03-09 21:25:44 UTC
At least one class have such defect:
FunctionInstantiationImp
P1 because CND persistence broken.

See exception:
java.lang.IllegalArgumentException: The UID is an instance of unknown class: 25971
	at org.netbeans.modules.cnd.modelimpl.uid.UIDObjectFactory.createObject(UIDObjectFactory.java:498)
	at org.netbeans.modules.cnd.repository.support.AbstractObjectFactory.readSelfPersistent(AbstractObjectFactory.java:78)
	at org.netbeans.modules.cnd.modelimpl.uid.UIDObjectFactory.readUID(UIDObjectFactory.java:136)
	at org.netbeans.modules.cnd.modelimpl.csm.core.OffsetableBase.<init>(OffsetableBase.java:178)
	at org.netbeans.modules.cnd.modelimpl.csm.core.OffsetableIdentifiableBase.<init>(OffsetableIdentifiableBase.java:121)
	at org.netbeans.modules.cnd.modelimpl.csm.core.OffsetableDeclarationBase.<init>(OffsetableDeclarationBase.java:261)
	at org.netbeans.modules.cnd.modelimpl.csm.FunctionInstantiationImpl.<init>(FunctionInstantiationImpl.java:199)
	at org.netbeans.modules.cnd.modelimpl.csm.core.CsmObjectFactory.createObject(CsmObjectFactory.java:418)
	at org.netbeans.modules.cnd.repository.support.AbstractObjectFactory.readSelfPersistent(AbstractObjectFactory.java:78)
	at org.netbeans.modules.cnd.modelimpl.csm.core.CsmObjectFactory.read(CsmObjectFactory.java:577)
	at org.netbeans.modules.cnd.repository.sfs.BufferedRWAccess.read(BufferedRWAccess.java:108)
	at org.netbeans.modules.cnd.repository.sfs.IndexedStorageFile.read(IndexedStorageFile.java:139)
	at org.netbeans.modules.cnd.repository.sfs.DoubleFileStorage.read(DoubleFileStorage.java:135)
	at org.netbeans.modules.cnd.repository.disk.UnitImpl.get(UnitImpl.java:119)
	at org.netbeans.modules.cnd.repository.disk.DiskRepositoryManager.get(DiskRepositoryManager.java:200)
	at org.netbeans.modules.cnd.repository.impl.DelegateRepository.get(DelegateRepository.java:82)
	at org.netbeans.modules.cnd.modelimpl.repository.RepositoryUtils.get(RepositoryUtils.java:127)
	at org.netbeans.modules.cnd.modelimpl.repository.RepositoryUtils.get(RepositoryUtils.java:99)
	at org.netbeans.modules.cnd.modelimpl.uid.UIDUtilities$CachedUID.getObject(UIDUtilities.java:445)
	at org.netbeans.modules.cnd.modelimpl.uid.UIDProviderIml.get(UIDProviderIml.java:96)
	at org.netbeans.modules.cnd.modelimpl.repository.RepositoryUtils.put(RepositoryUtils.java:177)
	at org.netbeans.modules.cnd.modelimpl.csm.core.OffsetableDeclarationBase.postObjectCreateRegistration(OffsetableDeclarationBase.java:291)
	at org.netbeans.modules.cnd.modelimpl.csm.FunctionInstantiationImpl.create(FunctionInstantiationImpl.java:86)
	at org.netbeans.modules.cnd.modelimpl.csm.core.AstRenderer.render(AstRenderer.java:152)
	at org.netbeans.modules.cnd.modelimpl.csm.core.AstRenderer.render(AstRenderer.java:91)
	at org.netbeans.modules.cnd.modelimpl.parser.ParserProviderImpl$Antlr2CppParser.render(ParserProviderImpl.java:156)
	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl._reparse(FileImpl.java:722)
	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl.ensureParsed(FileImpl.java:539)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:130)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:72)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:91)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
Comment 1 Alexander Simon 2011-03-09 22:23:56 UTC
fixing, change set:
http://hg.netbeans.org/cnd-main/rev/9c944a9406ce
Comment 2 Quality Engineering 2011-03-10 09:36:28 UTC
Integrated into 'main-golden', will be available in build *201103100400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9c944a9406ce
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #196523 Persistence broken due to unsymmetrical read/write
Comment 3 Alexander Simon 2011-03-10 10:59:23 UTC
QA, please, verify fix
Comment 4 Vladimir Voskresensky 2011-03-11 13:49:27 UTC
fix is OK
Comment 5 Alexander Pepin 2011-03-14 18:05:49 UTC
How to verify the fix?
Comment 6 Alexander Simon 2011-03-14 19:14:18 UTC
To verify bug try to open file:
boost_1_43_0/libs/program_options/src/parsers.cpp
This file contains FunctionInstantiationImpl.
Reopen IDE should not reparse project, no error in log.
Comment 7 soldatov 2011-03-15 13:50:45 UTC
Verified in dev build
Comment 8 Alexander Simon 2011-03-16 07:33:07 UTC
integrated in release70, change set:
http://hg.netbeans.org/releases/rev/b7de086ff3f2
Comment 9 soldatov 2011-03-18 12:36:17 UTC
Verified in NetBeans IDE 7.0 RC1 (Build 201103180000)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo